%define	major 1.7
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	The OpenGL Extension Wrangler Library
Name:		glew
Version:	1.7.0
Release:	%mkrel 1
Group:		Development/C
License:	BSD
URL:		http://glew.sourceforge.net
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}.tgz
#Patch0:		glew-1.5.0-GLAPIENTRY.patch
BuildRequires:	libx11-devel
BuildRequires:	mesaglu-devel
BuildRequires:  libxi-devel libxmu-devel
BuildRequires:	file

%description
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris. 

%package -n %{libname}
Summary:	GLEW library
Group:		System/Libraries

%description -n %{libname}
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris.

%package -n %{develname}
Summary:	Development files for using the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1.3 -d
Provides:	%mklibname %{name} 1.3 -d

%description -n	%{develname}
Development files for using the %{name} library.

%prep

%setup -q
#%%patch0 -p0 -b .GLAPIENTRY

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

perl -pi -e "s#-shared -soname#-shared -lc -soname#g" config/Makefile.linux

#fix txt/doc files permissions
chmod 0755 doc
chmod 0644 doc/* README.txt

%build
%make CFLAGS.EXTRA="%{optflags} -fPIC" LD="cc %ldflags" CC="cc %ldflags"

%install
rm -rf %{buildroot}
%makeinstall_std BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir} INCDIR=%{buildroot}%{_includedir}/GL 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt doc
#{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libGLEW.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_libdir}/libGLEW.a
%{_libdir}/libGLEW.so
%{_libdir}/pkgconfig/glew.pc


%changelog

* Mon Oct 03 2011 fwang <fwang> 1.7.0-1.mga2
+ Revision: 151149
- update major
- new version 1.7.0

  + tv <tv>
    - fix file list
    - fix file list
    - new release

* Mon May 16 2011 rtp <rtp> 1.5.8-2.mga1
+ Revision: 99223
- Add missing build requires

* Wed Apr 13 2011 tv <tv> 1.5.8-1.mga1
+ Revision: 84623
- new release

* Mon Jan 10 2011 pterjan <pterjan> 1.5.7-1.mga1
+ Revision: 5353
- Drop obsolete scriptlets
- imported package glew

